<?php
global $photonic_smugmug_options;

$photonic_smugmug_options = array(
	array("name" => "SmugMug settings",
		"desc" => "Control settings for SmugMug",
		"category" => "smug-settings",
		"type" => "section",),

	array("name" => "SmugMug API Key",
		"desc" => "To make use of the SmugMug functionality you have to use your SmugMug API Key.",
		"id" => "smug_api_key",
		"grouping" => "smug-settings",
		"type" => "text",
		"std" => ""),

	array("name" => "SmugMug API Secret",
		"desc" => "You have to enter the Secret provided by SmugMug after you have registered your application.",
		"id" => "smug_api_secret",
		"grouping" => "smug-settings",
		"type" => "text",
		"std" => ""),

	array("name" => "Private Photos",
		"desc" => "Let visitors of your site login to SmugMug to see private photos for which they have permissions (will show a login button if they are not logged in)",
		"id" => "smug_allow_oauth",
		"grouping" => "smug-settings",
		"type" => "checkbox",
		"std" => ""),

	array("name" => "Login Box Text",
		"desc" => "If private photos are enabled, this is the text users will see before the login button (you can use HTML tags here)",
		"id" => "smug_login_box",
		"grouping" => "smug-settings",
		"type" => "textarea",
		"std" => "Some features that you are trying to access may be visible to logged in users of SmugMug only. Please login if you want to see them. Clicking the button below will open a new tab / window, so if popups are disabled, please enable them. After you have authorized this site to access your profile, please <a href='javascript:document.location.reload();'>refresh</a> this window."),

	array("name" => "Login Button Text",
		"desc" => "If private photos are enabled, this is the text users will see before the login button (you can use HTML tags other than &lt;a&gt; here)",
		"id" => "smug_login_button",
		"grouping" => "smug-settings",
		"type" => "text",
		"std" => "Login"),

	array("name" => "Thumbnail size",
		"desc" => "Pick a standard size provided by SmugMug for your thumbnails:",
		"id" => "smug_thumb_size",
		"grouping" => "smug-settings",
		"type" => "select",
		"options" => array("Tiny" => "Tiny", "Thumb" => "Thumb", "Small" => "Small"),
		"std" => "Tiny"),

	array("name" => "Expanded size",
		"desc" => "When you click on a thumbnail this size will be displayed if you are using a slideshow. If you are not using a slideshow you will be taken to the SmugMug page:",
		"id" => "smug_main_size",
		"grouping" => "smug-settings",
		"type" => "select",
		"options" => array(
			"Medium" => "Medium",
			"Original" => "Original (not always available)",
			"Large" => "Large",
			"XLarge" => "XLarge (not always available)",
			"X2Large" => "X2Large (not always available)",
			"X3Large" => "X3Large (not always available)",
		),
		"std" => "Large"),

	array("name" => "SmugMug Album Thumbnails (with other Albums)",
		"desc" => "Control settings for SmugMug Album thumbnails",
		"category" => "smug-albums",
		"type" => "section",),

	array("name" => "What is this section?",
		"desc" => "Options in this section are in effect when you use the shortcode format <code>[gallery type='smugmug' nick_name='abc']</code> or <code>[gallery type='smugmug' nick_name='abc' view='albums']</code> or <code>[gallery type='smugmug' nick_name='abc' view='tree']</code>. They are used to control the Album's thumbnail display",
		"grouping" => "smug-albums",
		"type" => "blurb",),

	array("name" => "Album Title Display",
		"desc" => "How do you want the title of the Album?",
		"id" => "smug_albums_album_title_display",
		"grouping" => "smug-albums",
		"type" => "select",
		"options" => array(
			"regular" => "Normal title display using the HTML \"title\" attribute",
			"below" => "Below the thumbnail",
			"tooltip" => "Using the <a href='http://bassistance.de/jquery-plugins/jquery-plugin-tooltip/'>JQuery Tooltip</a> plugin",
		),
		"std" => "tooltip"),

	array("name" => "Hide Photo Count in Title Display",
		"desc" => "This will hide the number of photos in your Album's title.",
		"id" => "smug_hide_albums_album_photos_count_display",
		"grouping" => "smug-albums",
		"type" => "checkbox",
		"std" => ""),

	array("name" => "Hide thumbnails for Password-protected albums",
		"desc" => "This will hide the thumbnail of password-protected albums (Password-protected albums are not currently supported, so it is advisable to hide the thumbnails).",
		"id" => "smug_hide_password_protected_thumbnail",
		"grouping" => "smug-albums",
		"type" => "checkbox",
		"std" => ""),

	array("name" => "Constrain Albums Per Row",
		"desc" => "How do you want the control the number of album thumbnails per row? This can be overridden by adding the '<code>columns</code>' parameter to the '<code>gallery</code>' shortcode.",
		"id" => "smug_albums_album_per_row_constraint",
		"grouping" => "smug-albums",
		"type" => "select",
		"options" => array("padding" => "Fix the padding around the thumbnails",
			"count" => "Fix the number of thumbnails per row",
		),
		"std" => "padding"),

	array("name" => "Constrain by padding",
		"desc" => " If you have constrained by padding above, enter the number of pixels here to pad the thumbs by",
		"id" => "smug_albums_album_constrain_by_padding",
		"grouping" => "smug-albums",
		"type" => "text",
		"hint" => "Enter the number of pixels here (don't enter 'px'). Non-integers will be ignored.",
		"std" => "15"),

	array("name" => "Constrain by number of thumbnails",
		"desc" => " If you have constrained by number of thumbnails per row above, enter the number of thumbnails",
		"id" => "smug_albums_album_constrain_by_count",
		"grouping" => "smug-albums",
		"type" => "slider",
		"options" => array("range" => "min", "min" => 1, "max" => 25, "step" => 1, "size" => "400px", "unit" => ""),
		"std" => 5),

	array("name" => "Album Thumbnail Border",
		"id" => "smug_albums_album_thumb_border",
		"grouping" => "smug-albums",
		"type" => "border",
		"options" => array(),
		"std" => array(
			'top' => array('colortype' => 'transparent', 'color' => '#c0c0c0', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'right' => array('colortype' => 'transparent', 'color' => '#c0c0c0', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'bottom' => array('colortype' => 'custom', 'color' => '#c0c0c0', 'style' => 'none', 'border-width' => 1, 'border-width-type' => 'px'),
			'left' => array('colortype' => 'transparent', 'color' => '#c0c0c0', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
		),
	),

	array("name" => "Album Thumbnail - Padding between border and image",
		"desc" => "Setup the padding between the album thumbnail and its border.",
		"id" => "smug_albums_album_thumb_padding",
		"grouping" => "smug-albums",
		"type" => "padding",
		"options" => array(),
		"std" => array(
			'top' => array('padding' => 0, 'padding-type' => 'px'),
			'right' => array('padding' => 0, 'padding-type' => 'px'),
			'bottom' => array('padding' => 0, 'padding-type' => 'px'),
			'left' => array('padding' => 0, 'padding-type' => 'px'),
		),
	),

	array("name" => "SmugMug Photos - \"In-Page\" View",
		"desc" => "Control settings for SmugMug Photos when displayed in your page",
		"category" => "smug-photos",
		"type" => "section",),

	array("name" => "What is this section?",
		"desc" => "Options in this section are in effect when you use the shortcode format <code>[gallery type='smugmug' nick_name='abc' view='album' album_id='pqr' album_key='xyz']</code>
			or <code>[gallery type='smugmug' nick_name='abc' view='images' album_id='pqr' album_key='xyz']</code>. In other words, the photos are printed directly on the page.",
		"grouping" => "smug-photos",
		"type" => "blurb",),

	array("name" => "Hide Album Thumbnail",
		"desc" => "This will hide the thumbnail for your SmugMug Album.",
		"id" => "smug_hide_album_thumbnail",
		"grouping" => "smug-photos",
		"type" => "checkbox",
		"std" => ""),

	array("name" => "Hide Album Title",
		"desc" => "This will hide the title for your SmugMug Album.",
		"id" => "smug_hide_album_title",
		"grouping" => "smug-photos",
		"type" => "checkbox",
		"std" => ""),

	array("name" => "Disable header thumbnail/title linking",
		"desc" => "Check this to disable linking the album title and/or thumbnail to the SmugMug page.",
		"id" => "smug_disable_title_link",
		"grouping" => "smug-photos",
		"type" => "checkbox",
		"std" => ""),

	array("name" => "Hide Number of Photos",
		"desc" => "This will hide the number of photos in your SmugMug Album.",
		"id" => "smug_hide_album_photo_count",
		"grouping" => "smug-photos",
		"type" => "checkbox",
		"std" => ""),

	array("name" => "Photo Title Display",
		"desc" => "How do you want the title of the photos?",
		"id" => "smug_photo_title_display",
		"grouping" => "smug-photos",
		"type" => "select",
		"options" => array(
			"regular" => "Normal title display using the HTML \"title\" attribute",
			"below" => "Below the thumbnail",
			"tooltip" => "Using the <a href='http://bassistance.de/jquery-plugins/jquery-plugin-tooltip/'>JQuery Tooltip</a> plugin",
		),
		"std" => "tooltip"),

	array("name" => "Constrain Photos Per Row",
		"desc" => "How do you want the control the number of photo thumbnails per row? This can be overridden by adding the '<code>columns</code>' parameter to the '<code>gallery</code>' shortcode.",
		"id" => "smug_photos_per_row_constraint",
		"grouping" => "smug-photos",
		"type" => "select",
		"options" => array("padding" => "Fix the padding around the thumbnails",
			"count" => "Fix the number of thumbnails per row",
		),
		"std" => "padding"),

	array("name" => "Constrain by padding",
		"desc" => " If you have constrained by padding above, enter the number of pixels here to pad the thumbs by",
		"id" => "smug_photos_constrain_by_padding",
		"grouping" => "smug-photos",
		"type" => "text",
		"hint" => "Enter the number of pixels here (don't enter 'px'). Non-integers will be ignored.",
		"std" => "15"),

	array("name" => "Constrain by number of thumbnails",
		"desc" => " If you have constrained by number of thumbnails per row above, enter the number of thumbnails",
		"id" => "smug_photos_constrain_by_count",
		"grouping" => "smug-photos",
		"type" => "slider",
		"options" => array("range" => "min", "min" => 1, "max" => 25, "step" => 1, "size" => "400px", "unit" => ""),
		"std" => 5),

	array("name" => "Photo Thumbnail Border",
		"id" => "smug_photo_thumb_border",
		"grouping" => "smug-photos",
		"type" => "border",
		"options" => array(),
		"std" => array(
			'top' => array('colortype' => 'transparent', 'color' => '#c0c0c0', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'right' => array('colortype' => 'transparent', 'color' => '#c0c0c0', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'bottom' => array('colortype' => 'custom', 'color' => '#c0c0c0', 'style' => 'none', 'border-width' => 1, 'border-width-type' => 'px'),
			'left' => array('colortype' => 'transparent', 'color' => '#c0c0c0', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
		),
	),

	array("name" => "Photo Thumbnail - Padding between border and image",
		"desc" => "Setup the padding between the photo thumbnail and its border.",
		"id" => "smug_photo_thumb_padding",
		"grouping" => "smug-photos",
		"type" => "padding",
		"options" => array(),
		"std" => array(
			'top' => array('padding' => 0, 'padding-type' => 'px'),
			'right' => array('padding' => 0, 'padding-type' => 'px'),
			'bottom' => array('padding' => 0, 'padding-type' => 'px'),
			'left' => array('padding' => 0, 'padding-type' => 'px'),
		),
	),

	array("name" => "SmugMug Photos - \"Popup\" View",
		"desc" => "Control settings for SmugMug Photos when displayed in a popup",
		"category" => "smug-photos-pop",
		"type" => "section",),

	array("name" => "What is this section?",
		"desc" => "Options in this section are in effect when you use the shortcode format <code>[gallery type='smugmug' nick_name='abc' view='albums']</code>. In other words, the photos are shown in a popup panel.",
		"grouping" => "smug-photos-pop",
		"type" => "blurb",),

	array("name" => "Photo Title Display",
		"desc" => "How do you want the title of the photos?",
		"id" => "smug_photo_pop_title_display",
		"grouping" => "smug-photos-pop",
		"type" => "select",
		"options" => array(
			"regular" => "Normal title display using the HTML \"title\" attribute",
			"below" => "Below the thumbnail",
			"tooltip" => "Using the <a href='http://bassistance.de/jquery-plugins/jquery-plugin-tooltip/'>JQuery Tooltip</a> plugin",
		),
		"std" => "tooltip"),

	array("name" => "Constrain Photos Per Row",
		"desc" => "How do you want the control the number of photo thumbnails per row? This can be overridden by adding the '<code>columns</code>' parameter to the '<code>gallery</code>' shortcode.",
		"id" => "smug_photos_pop_per_row_constraint",
		"grouping" => "smug-photos-pop",
		"type" => "select",
		"options" => array("padding" => "Fix the padding around the thumbnails",
			"count" => "Fix the number of thumbnails per row",
		),
		"std" => "padding"),

	array("name" => "Constrain by padding",
		"desc" => " If you have constrained by padding above, enter the number of pixels here to pad the thumbs by",
		"id" => "smug_photos_pop_constrain_by_padding",
		"grouping" => "smug-photos-pop",
		"type" => "text",
		"hint" => "Enter the number of pixels here (don't enter 'px'). Non-integers will be ignored.",
		"std" => "15"),

	array("name" => "Constrain by number of thumbnails",
		"desc" => " If you have constrained by number of thumbnails per row above, enter the number of thumbnails",
		"id" => "smug_photos_pop_constrain_by_count",
		"grouping" => "smug-photos-pop",
		"type" => "slider",
		"options" => array("range" => "min", "min" => 1, "max" => 25, "step" => 1, "size" => "400px", "unit" => ""),
		"std" => 5),

	array("name" => "Photo Thumbnail Border",
		"id" => "smug_photo_pop_thumb_border",
		"grouping" => "smug-photos-pop",
		"type" => "border",
		"options" => array(),
		"std" => array(
			'top' => array('colortype' => 'transparent', 'color' => '#c0c0c0', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'right' => array('colortype' => 'transparent', 'color' => '#c0c0c0', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'bottom' => array('colortype' => 'custom', 'color' => '#c0c0c0', 'style' => 'none', 'border-width' => 1, 'border-width-type' => 'px'),
			'left' => array('colortype' => 'transparent', 'color' => '#c0c0c0', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
		),
	),

	array("name" => "Photo Thumbnail - Padding between border and image",
		"desc" => "Setup the padding between the photo thumbnail and its border.",
		"id" => "smug_photo_pop_thumb_padding",
		"grouping" => "smug-photos-pop",
		"type" => "padding",
		"options" => array(),
		"std" => array(
			'top' => array('padding' => 0, 'padding-type' => 'px'),
			'right' => array('padding' => 0, 'padding-type' => 'px'),
			'bottom' => array('padding' => 0, 'padding-type' => 'px'),
			'left' => array('padding' => 0, 'padding-type' => 'px'),
		),
	),
);
